Fetch All Chatbot Personas
curl --request GET \
--url https://sitegpt.ai/api/v0/chatbots/{chatbotId}/settings/personas \
--header 'Authorization: Bearer <token>'import requests
url = "https://sitegpt.ai/api/v0/chatbots/{chatbotId}/settings/personas"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sitegpt.ai/api/v0/chatbots/{chatbotId}/settings/personas', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Fetched all the custom personas of the chatbot successfully",
"data": {
"personas": [
{
"id": "505263b4-6b2a-499d-83de-a776b9a5130a",
"title": "Serious",
"description": "Serious persona",
"instructions": "You are a serious AI assistant who answers seriously."
},
{
"id": "f0207221-8535-4712-884a-ad4fd73d42a6",
"title": "Custom",
"description": "Custom Persona",
"instructions": "Answer in an engaging and interactive way."
}
]
}
}{
"success": false,
"message": "Failed to fetch all the custom personas of the chatbot",
"data": null,
"error": {
"code": "CHATBOT_ID_REQUIRED",
"message": "chatbotId is required",
"details": null
}
}{
"success": false,
"message": "Failed to fetch all the custom personas of the chatbot",
"data": null,
"error": {
"code": "API_KEY_NOT_VALID",
"message": "Authorization header does not contain valid API key",
"details": null
}
}{
"success": false,
"message": "Failed to fetch all the custom personas of the chatbot",
"data": null,
"error": {
"code": "FETCH_CHATBOT_PERSONAS_FORBIDDEN",
"message": "You are not authorized to fetch custom personas of the chatbot",
"details": null
}
}{
"success": false,
"message": "Failed to fetch all the custom personas of the chatbot",
"data": null,
"error": {
"code": "REQUEST_METHOD_NOT_ALLOWED",
"message": "POST request method is not allowed",
"details": null
}
}{
"success": false,
"message": "Failed to fetch all the custom personas of the chatbot",
"data": null,
"error": {
"code": "FETCH_CHATBOT_PERSONAS_FAILED",
"message": "Some technical error has occurred !!",
"details": null
}
}Personas
Fetch All Chatbot Personas
Fetch all the personas of the chatbot
GET
/
v0
/
chatbots
/
{chatbotId}
/
settings
/
personas
Fetch All Chatbot Personas
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Id of the chatbot
Was this page helpful?
⌘I